#include "Delay.hpp"
#include "ztLed.hpp"
#include "ztOLED.hpp"

int main(){
	zt::Led leda0(RCC_APB2Periph_GPIOA,GPIO_Pin_0,GPIOA);
	zt::Led ledc13(RCC_APB2Periph_GPIOC,GPIO_Pin_13,GPIOC);

	zt::Oled oled(RCC_APB2Periph_GPIOB,GPIOB,GPIO_Pin_8,GPIO_Pin_9);
	oled.OLED_ShowString(1, 1, (char*)"Hello,world!")
		.OLED_ShowString(2, 1, (char*)"by Zengtudor")
		.OLED_ShowString(3, 1, (char*)"From BDFS")
		.OLED_ShowString(4, 1, (char*)"     EEC-RPD");
	
	u32 delayTime = 500;
	while(true){
		leda0.setOn();
		ledc13.setOff();
		delay_ms(delayTime);
		leda0.setOff();
		ledc13.setOn();
		delay_ms(delayTime);
	}
}